text-2.0.2: An efficient packed Unicode text type.

Copyright | (c) 2014 Bryan O'Sullivan
License | BSD-style
Maintainer | bos@serpentine.com
Stability | experimental
Portability | GHC
Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Text.Internal.Read

Description

Common internal functions for reading textual data.

# Documentation

type IReader t a = t -> Either String (a, t) Source #

newtype IParser t a Source #

Constructors

P |

Fields

- runP :: IReader t a

#### Instances

Instances details

Applicative (IParser t) Source # |
Instance details Defined in Data.Text.Internal.Read Methods pure :: a -> IParser t a Source # (<*>) :: IParser t (a -> b) -> IParser t a -> IParser t b Source # liftA2 :: (a -> b -> c) -> IParser t a -> IParser t b -> IParser t c Source # (*>) :: IParser t a -> IParser t b -> IParser t b Source # (<*) :: IParser t a -> IParser t b -> IParser t a Source #
Functor (IParser t) Source # |
Instance details Defined in Data.Text.Internal.Read Methods fmap :: (a -> b) -> IParser t a -> IParser t b Source # (<$) :: a -> IParser t b -> IParser t a Source #
Monad (IParser t) Source # |
Instance details Defined in Data.Text.Internal.Read Methods (>>=) :: IParser t a -> (a -> IParser t b) -> IParser t b Source # (>>) :: IParser t a -> IParser t b -> IParser t b Source # return :: a -> IParser t a Source #

data T Source #

Constructors

T !Integer !Int |

digitToInt :: Char -> Int Source #

hexDigitToInt :: Char -> Int Source #

perhaps :: a -> IParser t a -> IParser t a Source #